## codelite 2.6.0.4189~dfsg

=== debian/changelog ===
codelite (2.6.0.4189~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards.
  * Refresh patches.
  * Add license information about files under ./Debugger/

 -- Alessio Treglia <alessio@debian.org>  Thu, 29 Jul 2010 19:42:47 +0200

codelite (2.5.3.4075~dfsg-2) unstable; urgency=low

  * Add git-buildpackage config file.
  * debian/control:
    - Update Standards to 3.9.0:
      + Replace Conflicts with Breaks.
    - Drop DM-Upload-Allowed field.
    - Add qt4-qmake,wx-common to Recommends.

 -- Alessio Treglia <alessio@debian.org>  Tue, 13 Jul 2010 10:35:12 +0200

codelite (2.5.3.4075~dfsg-1) unstable; urgency=low

  * New upstream bugfix release.
  * Update debian/copyright
  * Change my email address.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 Jun 2010 15:30:55 +0200

codelite (2.5.2.4031~dfsg-2) unstable; urgency=low

  * Set pkg source format to 1.0.
  * Fix little mistake in debian/codelite.1 (Closes: #579761).
  * Install codelite_xterm script into /usr/lib/codelite.
  * debian/patches/01_x-terminal-emulator.patch:
    - Rely on codelite_xterm script to run console programs (LP: #575635).
  * debian/patches/05_codelite_xterm.patch:
    - Don't rely on xterm, try to use the user's preferred terminal emulator first.
    - The option to change the window title depends on the terminal emulator used.
    - Pass '-x' instead of '-e' to terminator.
  * debian/rules:
    - Adjust get-orig-source rule to remove junk files from the original tarball.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 05 May 2010 17:46:58 +0200

codelite (2.5.2.4031~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 09 Apr 2010 02:03:19 +0200

codelite (2.3.0.3833~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #516896).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 25 Mar 2010 11:37:04 +0100
