## codelite 2.7.0.4375~dfsg

=== debian/changelog ===
codelite (2.7.0.4375~dfsg-2) experimental; urgency=low

  * Fix CodeLite/unixprocess_impl.cpp, codelite_kill_children is located
    in /usr/lib/codelite/.

 -- Alessio Treglia <alessio@debian.org>  Sat, 04 Sep 2010 12:58:18 +0200

codelite (2.7.0.4375~dfsg-1) experimental; urgency=low

  * Set upstream's tarball compression to bzip2.
  * New upstream bugfix release:
    - Many bugfixes.
    - Code completion enhancements.
    - New refactoring feature: Rename Local Variable.
  * Refresh patches.
  * Add description to to debian/patches/04_configure.patch patch,
    as per DEP-3.

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Sep 2010 19:00:39 +0200
