## codelite 2.8.0.4537~dfsg

=== debian/changelog ===
codelite (2.8.0.4537~dfsg-4) unstable; urgency=low

  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Tue, 30 Aug 2011 11:40:05 +0200

codelite (2.8.0.4537~dfsg-3) unstable; urgency=low

  * debian/patches/04_configure.patch:
    - Link against libwxsqlite3-2.8-0.
  * debian/control:
    - Build-depend on libwxsqlite3-2.8-dev.
  * debian/rules:
    - Update get-orig-source to strip wxsqlite3 out of the tarball.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 Mar 2011 13:42:07 +0100

codelite (2.8.0.4537~dfsg-2) unstable; urgency=low

  * Upload to unstable.
  * Patches have been forwarded.
  * Update debian/gbp.conf.

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Feb 2011 09:42:05 +0100

codelite (2.8.0.4537~dfsg-1) experimental; urgency=low

  * New upstream release.
  * Update debian/gbp.conf.
  * Rename and refresh 01_x-terminal-emulator.patch.
  * Refresh debian/patches/03_move-helper-binaries.patch
  * Refresh debian/patches/04_configure.patch.

 -- Alessio Treglia <alessio@debian.org>  Thu, 04 Nov 2010 13:45:10 +0100
