=== debian/rules ===
--- 
+++ 
@@ -73,17 +73,17 @@
 	mv \
 		$(DEB_SOURCE_NAME)-$(VERSION) \
 		$(DEB_SOURCE_NAME)-$(VERSION)~dfsg
-	GZIP=-9fn tar \
+	BZIP=-9f tar \
 		 --exclude=*.dll \
 		 --exclude=*.exe \
 		 --exclude=Runtime/templates/projects/dynamic-library-wx-enabled/dynamic-library-wx-enabled.project~ \
-		 --exclude=sdk/wxsqlite3/sqlite3 \
+		 --exclude=sdk/wxsqlite3 \
 		 --exclude=sdk/src \
 		 --exclude=sdk/wxconfig \
 		 --exclude=sdk/astyle \
 		 --exclude=sqlite3 \
 		 --exclude=unittest*.tar.gz \
-		 -czf $(DEB_SOURCE_NAME)_$(VERSION)~dfsg.orig.tar.gz \
+		 -cjf $(DEB_SOURCE_NAME)_$(VERSION)~dfsg.orig.tar.bz2 \
 		 $(DEB_SOURCE_NAME)-$(VERSION)~dfsg
 	rm -rf \
 		$(DEB_SOURCE_NAME)_$(VERSION).orig.tar.gz \
