=== debian/watch ===
version=3

options=dversionmangle=s/\~dfsg.*// \
    http://sf.net/codelite/codelite-(.+)\.tar\.gz
