## codelite 6.1.1%2bdfsg

=== debian/changelog ===
codelite (6.1.1+dfsg-4ubuntu1) vivid; urgency=medium

  * Disable lldb portions of build on arm64/ppc64el, as lldb is not
    supported there yet.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Mon, 29 Dec 2014 09:59:51 +0000

codelite (6.1.1+dfsg-4) unstable; urgency=medium

  * Switch to LLVM 3.5.
    - Reworked the LLVM related patches into 2 patch files to make more
      logical sense and due to dependencies between the patches.
  * Bump standards version to 3.9.6 (no changes).
  * Fix typo in debian/copyright.
  * Sort build-dependencies.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 27 Sep 2014 11:57:16 +0100

codelite (6.1.1+dfsg-3) unstable; urgency=medium

  * Really fix the hurd build this time.

 -- James Cowgill <james410@cowgill.org.uk>  Thu, 04 Sep 2014 14:58:45 +0100

codelite (6.1.1+dfsg-2) unstable; urgency=medium

  * Fix typo causing build failure on hurd.

 -- James Cowgill <james410@cowgill.org.uk>  Wed, 03 Sep 2014 22:39:46 +0100

codelite (6.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.

  * debian/control
    - Build depend on libhunspell-dev.
    - Re-enable SFTP support using libssh-gcrypt.
    - Recommend valgrind (for new MemChecker plugin).
  * debian/copyright
    - Remove bundled version of hunspell.
  * debian/patches
    - Refresh patches.
    - Patch 10_move-helper-binaries.patch rewritten due to upstream changes.
    - Add 19_remove-bundled-clang-format.patch to fix clang-format paths.
    - Add 20_Compilation-fix-for-non-precompiled-header-builds.patch from
      upstream to fix build.
  * debian/*.1
    - Remove manpages in debian/ - moved to upstream

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 01 Sep 2014 00:23:18 +0100

codelite (6.0.1+dfsg-1) unstable; urgency=medium

  * Upload to unstable (Closes: #749976).
  * Drop gcc 4.9 workaround (fixed in wxwidgets)
  * Drop manual dependency on lldb (see #750868).
  * Re-enable lldb on mips.
  * Remove uses of PATH_MAX for hurd.

 -- James Cowgill <james410@cowgill.org.uk>  Sat, 16 Aug 2014 09:41:47 +0100

codelite (6.0.1+dfsg-1~exp2) experimental; urgency=medium

  * Fix build dependencies for mips.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 09 Jun 2014 00:24:02 +0100

codelite (6.0.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.

  * Add breaks to codelite package to ensure upgrades are smooth
  * Fix get-orig-source target
  * Refresh patches.
    Dropped patches applied upstream:
     - 06_extra-library-linking.patch
     - 12_fix-desktop.patch
     - 13_kill_children_syntax_error.patch
     - 14_fix_chinese_locale.patch
  * Add patch to fix the link order of the LLDB debugger plugin
  * Disable clang and lldb on hurd and mips
  * Disable SFTP support since an openssl license exception is needed

 -- James Cowgill <james410@cowgill.org.uk>  Sun, 08 Jun 2014 00:48:30 +0100

codelite (5.4+dfsg-1~exp1) experimental; urgency=low

  * New maintainer (Closes: #639782)
  * New upstream release.

  * debian/control:
    - Use debhelper 9.
    - Bump standards to 3.9.5 (no changes).
    - Remove ancient Breaks / Replaces on old codelite plugin packages.
    - codelite-plugins now depends on codelite.
    - Canonicalize Vcs fields.
  * debian/copyright:
    - Use final version of the machine readable copyright format.
    - Use Files-Excluded to mark files to be removed from upstream source.
  * debian/rules:
    - Enable all hardening flags.
    - Enable parallel builds.
  * debian/watch:
    - Update watch file (upstream has moved to github).
  * debian/codelite-make.1
    - Add man page for codelite-make.
  * patches/01..04.patch:
    - Patches to build scripts to remove bundled versions of cppcheck, sqlite,
      wxsqlite, libclang and unittest++.
  * patches/05_prevent-cxx-flags-clobbering.patch:
    - Prevent build scripts clobbering compiler flags (which prevents hardening
      flags from getting through).
  * patches/06_extra-library-linking.patch:
    - Manually link plugins to required libraries (instead of assuming the
      dynamic linker has already loaded them).
  * patches/07_remove-extra-rpath.patch:
    - Remove duplicate RPATH entry.
  * patches/08_fix-crash-on-close.patch:
    - Fix crash caused by new version of wxsqlite3.
  * patches/09_use-x-terminal-editor.patch (was 01-x_terminal_emulator.patch):
    - Patch updated.
  * patches/10_move-helper-binaries.patch (was 03_move-helper-binaries.patch):
    - Patch updated.
  * patches/11_no-sonames.patch:
    - Disable SONAME generation (since all the libraries are private).
  * patches/12_fix-desktop.patch (was 02_fix-desktop.patch):
    - Patch updated and Keywords field added.
  * patches/13_kill_children_syntax_error.patch:
    - Fix syntax error in codelite_kill_children script.
  * patches/14_fix_chinese_locale.patch:
    - Fix Chinese locale code (cz -> zh_CN).
  * patches/15_fix_about_box_license.patch:
    - Fix license tab in the about box.

 -- James Cowgill <james410@cowgill.org.uk>  Mon, 26 May 2014 18:37:09 +0100
