=== debian/control ===
Source: codelite
Section: devel
Priority: optional
Maintainer: James Cowgill <james410@cowgill.org.uk>
Build-Depends:
 debhelper (>= 9),
 cmake (>= 2.8),
 dpkg-dev (>= 1.16.1.1),
 libclang-3.5-dev [!hurd-i386],
 libgtk2.0-dev,
 libhunspell-dev,
 liblldb-3.5-dev [!hurd-i386 !arm64 !ppc64el],
 libssh-gcrypt-dev,
 libwxgtk3.0-dev,
 libwxsqlite3-3.0-dev,
 llvm-3.5 [!hurd-i386],
 pkg-config
Standards-Version: 3.9.6
Homepage: http://www.codelite.org
Vcs-Git: git://anonscm.debian.org/collab-maint/codelite.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/codelite.git

Package: codelite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: codelite-plugins (<< 5.4+dfsg-1~exp1)
Recommends:
 gdb,
 wx-common,
 gcc,
 g++,
 xterm | x-terminal-emulator
Suggests: codelite-plugins
Description: Powerful and lightweight C/C++ IDE
 CodeLite is a powerful and lightweight C/C++ IDE which comes with but is not
 limited to the following features:
  * Generic support for compilers
  * Built-in GDB support
  * Database-based Code Completion mechanism
  * Syntax highlighting for C/C++, Java, Perl, XML, Makefile, Lua, Diff files,
    PHP, JavaScript, Python, HTML, and ASP
  * Text Folding
  * Bookmarks
  * Find and Replace
  * doxygen comment generator

Package: codelite-plugins
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 codelite (= ${binary:Version})
Breaks: codelite (<< 5.4+dfsg-1~exp1)
Replaces: codelite (<< 5.4+dfsg-1~exp1)
Recommends:
 cppcheck (>= 1.54),
 libunittest++-dev (>= 1.3),
 qt4-qmake,
 valgrind
Description: Powerful and lightweight C/C++ IDE - plugins
 CodeLite is a powerful and lightweight C/C++ IDE which comes with but is not
 limited to the following features:
  * Generic support for compilers
  * Built-in GDB support
  * Database-based Code Completion mechanism
  * Syntax highlighting for C/C++, Java, Perl, XML, Makefile, Lua, Diff files,
    PHP, JavaScript, Python, HTML, and ASP
  * Text Folding
  * Bookmarks
  * Find and Replace
  * doxygen comment generator
 .
 This package contains the plugins for CodeLite.
