=== debian/rules ===
#!/usr/bin/make -f

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# Disable clang + lldb on hurd
ifeq ($(DEB_HOST_ARCH),hurd-i386)
	CONFIG_EXTRA := -DENABLE_CLANG=0 -DENABLE_LLDB=0
	INSTALL_EXTRA := -Xcodelite-clang -Xcodelite-lldb -XLLDBDebugger.so
else
ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el arm64))
	CONFIG_EXTRA := -DLLVM_VERSION=3.5 -DENABLE_LLDB=0
	INSTALL_EXTRA := -Xcodelite-lldb -XLLDBDebugger.so
else
	CONFIG_EXTRA := -DLLVM_VERSION=3.5
	INSTALL_EXTRA :=
endif
endif

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBDIR=lib $(CONFIG_EXTRA)

override_dh_install:
	dh_install $(INSTALL_EXTRA)

override_dh_shlibdeps:
	dh_shlibdeps -Lcodelite

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source:
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download  --download-current-version $(PKD)
